/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODFORN                                                 */
/* Tabela : PRODFORN                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 03/03/2004 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
             o.name = 'DTULTATU_PRODFORN' and
             type = 'TR'                  and
             u.uid = o.uid                and
             u.name = USER)
DROP TRIGGER DTULTATU_PRODFORN
GO

CREATE TRIGGER DTULTATU_PRODFORN
ON PRODFORN
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODFORN', 'CDFORNECED=' + CDFORNECED +
                                   ';CDPRODUTO='  + CDPRODUTO +';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODFORN
      SET DTULTATUPRFO = GETDATE()
      FROM INSERTED
      WHERE ISNULL(PRODFORN.CDFORNECED,0) = ISNULL(INSERTED.CDFORNECED,0) and
            ISNULL(PRODFORN.CDPRODUTO,0)  = ISNULL(INSERTED.CDPRODUTO,0);
   END;
END
;
GO

